$(document).ready(
    function () {
        if ($('ul.biglist.sortable').length) {
            /* work around a jquery bug with .sortable() called on a container
             * set with position: relative and overflow properties */
            $('#main-content').css('overflow', 'inherit');
        }
        $('ul.biglist.sortable').sortable(
            {
                accept: 'biglistitem',
                scroll: true,
                helperclass: 'sortHelper',
                activeclass :     'sortableactive',
                hoverclass :     'sortablehover',
                tolerance: 'pointer',
                update : function(event, ui)
                {
                    result = '';
                    items = $('ul.biglist li');
                    for (i=0; i < items.length; i++) {
                        var item = items[i];
                        var item_id = item.id.substr(7, 50);
                        if (item_id.length) {
                          result += item_id + ';';
                        }
                    }
                    $.post('update_order', {'order': result});
                },
            }
        );
    }
);

